import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { memo, useRef, useState } from 'react';
import { useComponent } from '@brushes/qj-simulate-component';
import { Form, Input, Radio, Button, Cascader } from 'antd-mobile';
// @ts-ignore
// import {options} from './option'
import options from './a';
const AddressDetailJsx = () => {
    const { View } = useComponent();
    const [visible, setVisible] = useState(false);
    const checkMobile = (_, value) => {
        console.log(_, value);
        return new Promise((resolve, reject) => {
            if (!/^1[3456789]\d{9}$/.test(value) && value) {
                reject('请输入正确手机号');
            }
            else {
                resolve('');
            }
        });
    };
    const config = useRef([
        {
            type: 'input',
            props: {
                onlyShowClearWhenFocus: true,
                placeholder: '请填写收货人姓名'
            },
            label: '收货人',
            name: 'name',
            rules: [{ required: true, message: '收货人姓名不能为空' }]
        },
        {
            type: 'input',
            props: {
                type: 'number',
                onlyShowClearWhenFocus: true,
                placeholder: '请填写收货人手机号码'
            },
            label: '手机号码',
            name: 'phone',
            rules: [{ required: true, message: '收货人手机号码不能为空' }, { validator: checkMobile }]
        },
        {
            type: 'cascader',
            props: {
                options: options
            },
            label: '所在地区',
            name: 'area'
        },
        {
            type: 'input',
            props: {
                onlyShowClearWhenFocus: true,
                placeholder: '街道/楼牌号等'
            },
            label: '详细地址',
            name: 'address',
            rules: [{ required: true, message: '收货人详细地址不能为空' }]
        },
        {
            type: 'input',
            props: {
                type: 'number',
                onlyShowClearWhenFocus: true,
                placeholder: '请填写邮政编码'
            },
            label: '邮政编码',
            name: 'zipCode'
        },
        {
            type: 'radio',
            props: {
                value: 1
            },
            label: '设置默认地址',
            name: 'default'
        }
    ]);
    const handle = (a) => {
        console.log(a);
    };
    return (_jsx(View, Object.assign({ className: 'addressDetail' }, { children: _jsx(Form, Object.assign({ layout: "horizontal", mode: "card", onFinish: handle, footer: _jsx(Button, Object.assign({ block: true, type: "submit", color: "primary", size: "large" }, { children: "\u63D0\u4EA4" })) }, { children: config.current.map((item, index) => {
                return (_jsx(Form.Item, Object.assign({ label: item.label, name: item.name, rules: item.rules }, { children: (() => {
                        if (item.type === 'input') {
                            return _jsx(Input, Object.assign({}, item.props));
                        }
                        else if (item.type === 'radio') {
                            return _jsx(Radio, Object.assign({}, item.props));
                        }
                        else if (item.type === 'cascader') {
                            return (
                            // <Cascader {...item.props}/>
                            _jsxs(_Fragment, { children: [_jsx(Button, Object.assign({ onClick: () => {
                                            setVisible(true);
                                        } }, { children: "\u9009\u62E9" })), _jsx(Cascader, { options: options, visible: visible, onClose: () => {
                                            setVisible(false);
                                        } })] }));
                        }
                    })() }), index));
            }) })) })));
};
export const AddressDetail = memo(AddressDetailJsx);
